You are not logged in.

#876 2011-09-07 16:04:38

Cdh
Member
Registered: 2009-02-03
Posts: 1,098

Re: gnome unstable repository

Isn't that a bit silly?
I mean, they have a history of breaking at least one feature in every new driver release since 11.3 or something like that. Also there are often "Preview" releases of drivers for new X.org versions in Ubuntu or for OpenGL 4.2. Why not put up a gnome-shell-preview driver that is not officially supported?

I use the Open Source driver now despite the worse power saving. When something doesn't work and the bug gets fixed I only need to build the git version. And if it breaks another thing then I am to blame for using the git version instead of the releases. That's why I like this open process.

With catalyst if something breaks I can report the bug and it may be fastly noted by the developers but I need to at least use the buggy driver for one month until the next update. Or I revert to an older driver but with catalyst I wouldn't like to do that since it nearly always has other bugs...


฿ 18PRsqbZCrwPUrVnJe1BZvza7bwSDbpxZz

Offline

#877 2011-09-07 16:12:51

tririver
Member
Registered: 2011-03-02
Posts: 49

Re: gnome unstable repository

@Cdh: I use the open source ATI driver because as you said, the closed source driver sometimes does not support new software correctly. In case you want to reduce the power of the video card (and you don't care to further reduce the performance), add the following to /etc/rc.local

echo mid > /sys/class/drm/card0/device/power_profile

One can also use 'low' instead of 'mid'. But 'low' sometimes cause problems, 'mid' never caused a problem for me and the heat reduction is significant..

Offline

#878 2011-09-07 16:18:17

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: gnome unstable repository

hey, get your own thread!


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#879 2011-09-07 21:03:59

tririver
Member
Registered: 2011-03-02
Posts: 49

Re: gnome unstable repository

tririver wrote:

Just one piece of (should be upstream) problem: after some time, xorg use 100% cpu. The problem seems too general thus I don't know how to report the bug though... Reboot several times, the same problem happens. I don't know what triggered that.

Some update about this problem: Whenever xorg uses 100% cpu, the laptop cannot suspend either. (when the 100% cpu problem has not occurred yet, suspend functions correctly). I tried 'sudo pm-suspend', and also gnome user menu -> suspend, none of them works. Nothing wrong can be observed from the pm-suspend.log file.

When I am not using gnome 3.1, there is no such thing. Thus I suspect this is because of a bug in gnome. Anybody has ideas about how to pin down the problem to a specific module?

Offline

#880 2011-09-08 10:10:06

rAX
Member
From: Algiers
Registered: 2011-05-27
Posts: 85

Re: gnome unstable repository

Are there any bug reports against gdm and gnome-shell 3.1.91 we can follow?

Offline

#881 2011-09-08 10:19:21

meijin
Member
From: Israel
Registered: 2009-03-05
Posts: 92

Re: gnome unstable repository

hi
I am getting this error:

[assaf@laptop ~]$ evolution
evolution: symbol lookup error: evolution: undefined symbol: g_unix_signal_add_watch_full

what is the problem?
anyway, even when evolution used to work, its not getting the info from my google calender. what am i doing wrong?

Offline

#882 2011-09-08 16:36:51

tririver
Member
Registered: 2011-03-02
Posts: 49

Re: gnome unstable repository

Now with the new gdm (3.1.90-4): gdm new effects, and more importantly, gnome-shell works!

There is a small problem: At first I cannot login using my account (saying something is broken...), but can login using  a new account. I deleted a few configuration files then I can login now.

Last edited by tririver (2011-09-08 16:37:12)

Offline

#883 2011-09-08 19:09:45

meijin
Member
From: Israel
Registered: 2009-03-05
Posts: 92

Re: gnome unstable repository

tririver wrote:

Now with the new gdm (3.1.90-4): gdm new effects, and more importantly, gnome-shell works!

There is a small problem: At first I cannot login using my account (saying something is broken...), but can login using  a new account. I deleted a few configuration files then I can login now.

what files did you deleted?

Offline

#884 2011-09-08 19:14:03

tririver
Member
Registered: 2011-03-02
Posts: 49

Re: gnome unstable repository

meijin wrote:

what files did you deleted?

I guess the most relevant is .gconf/ . I didn't change a lot of configurations. Otherwise it will be painful (or backup before you delete!). I also deleted .gvfs, .gnome2 .gnome2_private, but they should be less relevant. Again, simply deleting files is not  a good solution...

Offline

#885 2011-09-08 19:20:13

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: gnome unstable repository

logs, nobody can help you if you don't post logs. The most important is ~/.xsession-errors


@meijin i just fixed evolution and evolution-data-server

Last edited by wonder (2011-09-08 19:20:52)


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#886 2011-09-09 00:39:35

bluewanders
Member
Registered: 2011-09-01
Posts: 14

Re: gnome unstable repository

There is definitely a memory leak in the shell... thats for sure.  I left my machine on overnight, and when got ready to start working on a project this morning I discovered gnome-shell using nearly 2gig active RAM... my jaw hit the floor.  Right now I've had it up for about 45 minutes and I'm sitting at ~600 mb.

The quirk that is really bothering me the most is empathy simply disappearing.  It is still running in the background connected to gmail... but if you open an empathy window sometimes it simply disappears and you cant get it back without a killall.  Calling a new window, and using terminal to call it back up both produce no results. 

./xsession-errors has this to say:

/etc/gdm/Xsession: Beginning session setup...
/etc/gdm/Xsession: ssh-agent not found!
/etc/gdm/Xsession: Setup done, will execute: gnome-session
** (gnome-settings-daemon:1889): WARNING **: libcolord.so.1: cannot open shared object file: No such file or directory
** (gnome-settings-daemon:1889): WARNING **: Cannot load plugin 'Color' since file '/usr/lib/gnome-settings-daemon-3.0/libcolor.so' cannot be read.
** (gnome-settings-daemon:1889): WARNING **: Error activating plugin 'Color'
GNOME_KEYRING_CONTROL=/tmp/keyring-rvWAAk
SSH_AUTH_SOCK=/tmp/keyring-rvWAAk/ssh
GNOME_KEYRING_CONTROL=/tmp/keyring-rvWAAk
SSH_AUTH_SOCK=/tmp/keyring-rvWAAk/ssh
GPG_AGENT_INFO=/tmp/keyring-rvWAAk/gpg:0:1
GNOME_KEYRING_CONTROL=/tmp/keyring-rvWAAk
SSH_AUTH_SOCK=/tmp/keyring-rvWAAk/ssh
GPG_AGENT_INFO=/tmp/keyring-rvWAAk/gpg:0:1
GNOME_KEYRING_CONTROL=/tmp/keyring-rvWAAk
SSH_AUTH_SOCK=/tmp/keyring-rvWAAk/ssh
GPG_AGENT_INFO=/tmp/keyring-rvWAAk/gpg:0:1
(gnome-settings-daemon:1889): power-plugin-WARNING **: not connected
(gnome-settings-daemon:1889): power-plugin-WARNING **: Failed to get brightness: GDBus.Error:org.freedesktop.DBus.Error.UnknownMethod: Method "GetBrightness" with signature "" on interface "org.freedesktop.UPower.KbdBacklight" doesn't exist
(gnome-settings-daemon:1889): common-plugin-WARNING **: Error in setting "Wacom Pressure Threshold" for "Serial Wacom Tablet FUJ02e7 stylus"
(gnome-settings-daemon:1889): common-plugin-WARNING **: Error in setting "Wacom Pressure Threshold" for "Serial Wacom Tablet FUJ02e7 eraser"
** Message: applet now removed from the notification area
N: [pulseaudio] main.c: User-configured server at {4484fb2ba155ca181bb406af00000102}unix:/home/blue/.pulse/4484fb2ba155ca181bb406af00000102-runtime/native, which appears to be local. Probing deeper.
Window manager warning: Log level 16: gsignal.c:2295: signal `app-state-changed' is invalid for instance `0x39bbe00'
GSynaptics couldn't initialize.
You have to set 'SHMConfig' 'true' in xorg.conf or XFree86.conf to use GSynaptics
(evolution-alarm-notify:1944): GLib-GIO-WARNING **: Your application does not implement g_application_activate() and has no handlers connected to the 'activate' signal.  It should do one of these.
(gnome-settings-daemon:1889): GLib-CRITICAL **: g_variant_get_boolean: assertion `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)' failed
(gnome-settings-daemon:1889): GLib-CRITICAL **: g_variant_get_boolean: assertion `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)' failed
glibtop: Non-standard uts for running kernel:
release 3.0-ARCH=3.0.0 gives version code 196608
      JS LOG: GNOME Shell started at Thu Sep 08 2011 17:23:16 GMT-0700 (PDT)
** Message: applet now embedded in the notification area
(gnome-settings-daemon:1889): updates-plugin-WARNING **: failed to open directory: Error opening directory '/run/udev/firmware-missing': No such file or directory
(gnome-settings-daemon:1889): GLib-CRITICAL **: g_variant_get_boolean: assertion `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)' failed
(gnome-settings-daemon:1889): GLib-CRITICAL **: g_variant_get_boolean: assertion `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)' failed
(gnome-settings-daemon:1889): GLib-CRITICAL **: g_variant_get_boolean: assertion `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)' failed
(gnome-settings-daemon:1889): GLib-CRITICAL **: g_variant_get_boolean: assertion `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)' failed
(gnome-settings-daemon:1889): GLib-CRITICAL **: g_variant_get_boolean: assertion `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)' failed
(gnome-settings-daemon:1889): GLib-CRITICAL **: g_variant_get_boolean: assertion `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)' failed
(gnome-settings-daemon:1889): GLib-CRITICAL **: g_variant_get_boolean: assertion `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)' failed
(gnome-settings-daemon:1889): GLib-CRITICAL **: g_variant_get_boolean: assertion `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)' failed
(empathy:2275): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GtkWindow'
** (empathy:2275): CRITICAL **: empathy_window_present_with_time: assertion `GTK_IS_WINDOW (window)' failed
(empathy:2275): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GtkWindow'
** (empathy:2275): CRITICAL **: empathy_window_present_with_time: assertion `GTK_IS_WINDOW (window)' failed
(empathy:2275): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GtkWindow'
** (empathy:2275): CRITICAL **: empathy_window_present_with_time: assertion `GTK_IS_WINDOW (window)' failed
(gnome-settings-daemon:1889): GLib-CRITICAL **: g_variant_get_boolean: assertion `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)' failed
(gnome-settings-daemon:1889): GLib-CRITICAL **: g_variant_get_boolean: assertion `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)' failed
(empathy:2275): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GtkWindow'
** (empathy:2275): CRITICAL **: empathy_window_present_with_time: assertion `GTK_IS_WINDOW (window)' failed
(gnome-shell:1927): Clutter-WARNING **: The actor 'uiGroup' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended
(empathy:2275): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GtkWindow'
** (empathy:2275): CRITICAL **: empathy_window_present_with_time: assertion `GTK_IS_WINDOW (window)' failed
(empathy:2275): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GtkWindow'
** (empathy:2275): CRITICAL **: empathy_window_present_with_time: assertion `GTK_IS_WINDOW (window)' failed
(gnome-settings-daemon:1889): GLib-CRITICAL **: g_variant_get_boolean: assertion `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)' failed
(gnome-settings-daemon:1889): GLib-CRITICAL **: g_variant_get_boolean: assertion `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)' failed

I'm in the process now of poking around to see how I can open a bug report on it (or add new comment to an existing) upstream...

Last edited by bluewanders (2011-09-09 00:52:49)

Offline

#887 2011-09-09 20:02:23

jolinfire
Member
From: France
Registered: 2007-12-21
Posts: 176

Re: gnome unstable repository

Installed gnome unstable after cleaning my previous settings and everything is working fine, besides color icon not working in preferences menu, and some missing tools like Brasero which is only 3.0 for now.

So far, so good. Great work, thanks !

My only question - for now - is : how to use online accounts ? I set up my google account (can't add another types ?)

EDIT : for color management, colord have to be installed.

Last edited by jolinfire (2011-09-09 20:19:31)

Offline

#888 2011-09-09 20:48:56

ato10
Member
Registered: 2010-03-07
Posts: 12

Re: gnome unstable repository

@jolinfire only google account is supported for now

Someone knows if there's a way to have sushi working?

Offline

#889 2011-09-09 21:35:11

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: gnome unstable repository

ato10 wrote:

Someone knows if there's a way to have sushi working?

press space after selecting the file

Last edited by wonder (2011-09-09 21:35:27)


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#890 2011-09-09 22:13:25

jolinfire
Member
From: France
Registered: 2007-12-21
Posts: 176

Re: gnome unstable repository

ato10 wrote:

@jolinfire only google account is supported for now

Someone knows if there's a way to have sushi working?

Thanks for the info. And for SuShi, didn't know about it. Simply the best for previewing file wink

Offline

#891 2011-09-10 05:05:51

Adriano ML
Member
Registered: 2008-12-18
Posts: 38

Re: gnome unstable repository

I was having this issue while starting gdm or gnome-shell:

JS ERROR: !!!   Exception was: Error: Requiring Clutter, version 1.0: Typelib file for namespace 'Cogl', version '1.0' not found
    JS ERROR: !!!     lineNumber = '0'
    JS ERROR: !!!     fileName = '"gjs_throw"'
    JS ERROR: !!!     stack = '"("Requiring Clutter, version 1.0: Typelib file for namespace 'Cogl', version '1.0' not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/environment.js:9
"'
    JS ERROR: !!!     message = '"Requiring Clutter, version 1.0: Typelib file for namespace 'Cogl', version '1.0' not found"'
    JS ERROR: !!!   Exception was: Error: Requiring Clutter, version 1.0: Typelib file for namespace 'Cogl', version '1.0' not found
    JS ERROR: !!!     lineNumber = '0'
    JS ERROR: !!!     fileName = '"gjs_throw"'
    JS ERROR: !!!     stack = '"("Requiring Clutter, version 1.0: Typelib file for namespace 'Cogl', version '1.0' not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/environment.js:9
"'
    JS ERROR: !!!     message = '"Requiring Clutter, version 1.0: Typelib file for namespace 'Cogl', version '1.0' not found"'
Aviso do gerenciador de janelas: Log level 32: Execution of main.js threw exception: Error: Requiring Clutter, version 1.0: Typelib file for namespace 'Cogl', version '1.0' not found
gnome-session[4929]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged

Forcing and updating cogl and clutter (pacman -Sf cogl clutter) for some reason fixed it!

I do have gnome-unstable over every other repo and I also checked if they were properly updated before, so no idea why this happened.

Edit: *fixed typo: "pacman -Sf" and not "pacman -Sl"

also, gnome-tweak-tool would not start:

$gnome-tweak-tool
Traceback (most recent call last):
  File "/usr/bin/gnome-tweak-tool", line 22, in <module>
    import gi
ImportError: No module named gi

Found which package had this module and did the same thing as before:
pacman -Sf python2-gobject

Might I have something funky with pacman or is it the packages?

Last edited by Adriano ML (2011-09-10 06:39:54)

Offline

#892 2011-09-10 06:15:36

ato10
Member
Registered: 2010-03-07
Posts: 12

Re: gnome unstable repository

wonder wrote:
ato10 wrote:

Someone knows if there's a way to have sushi working?

press space after selecting the file

ty

Offline

#893 2011-09-10 08:54:49

italyanker
Member
Registered: 2007-10-17
Posts: 1

Re: gnome unstable repository

Tryed gnome-unstable...Gdm is really nice, but i think there is much more to do ( have you ever seen gdm mockups on ubuntu/canonical servers?Perhaps select themes can be a really cool thing! )
Same thing for sushi ( it's really really fast to be something written for JS )...
I tryed using color management in gnome-control-center but had errors.Maybe i can post them here?

Offline

#894 2011-09-10 10:27:52

cinan
Member
From: Slovakia
Registered: 2008-07-04
Posts: 251
Website

Re: gnome unstable repository

Adriano ML wrote:

also, gnome-tweak-tool would not start:

$gnome-tweak-tool
Traceback (most recent call last):
  File "/usr/bin/gnome-tweak-tool", line 22, in <module>
    import gi
ImportError: No module named gi

Found which package had this module and did the same thing as before:
pacman -Sf python2-gobject

Might I have something funky with pacman or is it the packages?

I had the same issue, I've just reinstalled python2-gobject and gnome-tweak-tools works now

Offline

#895 2011-09-10 10:29:37

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: gnome unstable repository

@cinan gnome-tweak-tool already has the proper dependency.

If you guys have problems with it, means that you don't have gnome-unstable enabled correctly and you should stop using this repo in this moment.

NOBODY SHOULD USE -f option from pacman. if is used then you have a serious problem. next time ask, "dude, i have conflicts, should i use -f?"

Last edited by wonder (2011-09-10 10:33:26)


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#896 2011-09-10 13:08:28

megawebmaster
Member
Registered: 2009-08-12
Posts: 73

Re: gnome unstable repository

@wonder - so can we test upcoming Gnome 3.2 as beta from gnome-unstable now?

EDIT: OK, I've installed beta from gnome-unstable and it is usable on my hardware smile Thanks a lot for really good work you do wonder.

Last edited by megawebmaster (2011-09-10 14:40:35)

Offline

#897 2011-09-10 18:17:16

der_harm
Member
Registered: 2011-04-12
Posts: 32

Re: gnome unstable repository

Hi,
I just posted my problem with gnome 3.0.
https://bbs.archlinux.org/viewtopic.php?id=126268

I can't fix it, but maybe anyone knows that problem and advices me to try gnome 3.2? As I could read more people have trouble using large screens and maybe it is a fixed issue by now?

Gnome 3.2 unstable seems to be working now as I read above?
Can you give a go "Wonder" or is it toooo early?
Or anyone else? How buggy is it right now?

Best regards,
Harm

Offline

#898 2011-09-10 19:44:33

sbfreak
Member
Registered: 2010-06-06
Posts: 149

Re: gnome unstable repository

Anyone using the IgnoreABI with gnome 3.2 beta ? If yes can you please tell me if there are any rendering problems ?

L.E: Buttons and scrollbars look like shit in case anybody was wondering.

Last edited by sbfreak (2011-09-10 21:13:18)

Offline

#899 2011-09-11 02:17:17

freestyler7
Member
Registered: 2010-11-02
Posts: 33

Re: gnome unstable repository

Offline

#900 2011-09-11 05:58:39

ewaller
Administrator
From: Pasadena, CA
Registered: 2009-07-13
Posts: 12,749

Re: gnome unstable repository

This thread has run its course.  Gnome 3 is out,  therefore the original premise no longer holds. 
Please feel free to open new threads regarding specific Gnome 3 topics.

Closing

ewaller


Nothing is too wonderful to be true, if it be consistent with the laws of nature -- Michael Faraday
Like you, I have no idea what you are doing, but I am pretty sure it is wrong...Jasonwryan
----
How to Ask Questions the Smart Way

Offline

Board footer

Powered by FluxBB